> ## Documentation Index
> Fetch the complete documentation index at: https://docs.jogg.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Visual Style

> Get list of Visual Style



## OpenAPI

````yaml GET /visual_styles
openapi: 3.0.1
info:
  title: OpenAPI Render API
  description: A sample API that demonstrates features in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.jogg.ai/v1
security:
  - apiKeyAuth: []
tags:
  - name: Create Video from URL
    description: |-



      Product video generation workflow:



        1. First call POST /product to crawl product information



        2. Optionally call PUT /product to modify product details using the product_id from step 1



        3. Finally call POST /create_video_from_url to generate video using the product_id from step 1
  - name: Webhook
    description: Webhook configuration and management
paths:
  /visual_styles:
    get:
      tags:
        - Visual Style
      summary: Get Visual Style
      description: Get list of Visual Style
      parameters:
        - $ref: '#/components/parameters/AspectRatioParam'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/BaseResponse'
                  - type: object
                    properties:
                      data:
                        type: object
                        properties:
                          visual_styles:
                            type: array
                            items:
                              type: object
                              properties:
                                id:
                                  type: integer
                                  example: 2400
                                name:
                                  type: string
                                  example: Simple split screen template
components:
  parameters:
    AspectRatioParam:
      name: aspect_ratio
      in: query
      description: |



        Screen aspect ratio:



        * -1 - All



        * 0 - [9:16]



        * 1 - [16:9]



        * 2 - [1:1]
      required: false
      schema:
        type: integer
        enum:
          - -1
          - 0
          - 1
          - 2
        default: -1
  schemas:
    BaseResponse:
      type: object
      required:
        - code
        - msg
      properties:
        code:
          type: integer
          description: |



            Business status code:



            * 0 - Success



            * 10104 - Record not found



            * 10105 - Invalid API key



            * 18020 - Insufficient credit



            * 18025 - No permission to call APIs.



            * 40000 - Parameter error



            * 50000 - System error
        msg:
          type: string
          description: Response message
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````